Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064829 - Adding permissions to any thing doesn't work
Summary: Adding permissions to any thing doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.4.0
Assignee: Juan Hernández
QA Contact: Ilia Meerovich
URL:
Whiteboard: infra
: 1069158 (view as bug list)
Depends On:
Blocks: 1018552 1024889
TreeView+ depends on / blocked
 
Reported: 2014-02-13 11:43 UTC by Ilia Meerovich
Modified: 2016-07-05 00:06 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-rc
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 12:30:27 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24708 None MERGED core, restapi: Fix add permissions Never
oVirt gerrit 25083 None MERGED core, restapi: Fix add permissions Never

Description Ilia Meerovich 2014-02-13 11:43:30 UTC
please take a look at ART output:

2014-02-12 21:54:16,053 - MainThread - plmanagement.matrix-test-composer - DEBUG - compossed <run> expression: True
2014-02-12 21:54:16,053 - MainThread - plmanagement.matrix-test-composer - INFO - Test Name: Add data center permission to user
2014-02-12 21:54:16,054 - MainThread - plmanagement.matrix-test-composer - INFO - Iteration Number: 67
2014-02-12 21:54:16,054 - MainThread - plmanagement.matrix-test-composer - INFO - Test ID: d75a2758-c695-11e1-a578-f0def10e0ce8
2014-02-12 21:54:16,055 - MainThread - plmanagement.matrix-test-composer - INFO - Test positive: True
2014-02-12 21:54:16,055 - MainThread - plmanagement.matrix-test-composer - INFO - Test action: addPermissionsForDataCenter
2014-02-12 21:54:16,056 - MainThread - plmanagement.matrix-test-composer - INFO - Test parameters: True, user='istein', data_center='DefaultRest'
2014-02-12 21:54:16,056 - MainThread - plmanagement.matrix-test-composer - INFO - Running command: addPermissionsForDataCenter(True, user='istein', data_center='DefaultRest')
2014-02-12 21:54:16,057 - MainThread - datacenters - DEBUG - GET request content is --  url:https://jenkins-vm-24.scl.lab.tlv.redhat.com/api/datacenters 
2014-02-12 21:54:16,124 - MainThread - datacenters - DEBUG - Response code is valid: [200, 201] 
2014-02-12 21:54:16,125 - MainThread - datacenters - DEBUG - Response body for GET request is: 
<data_centers>
    <data_center href="/api/datacenters/00000002-0002-0002-0002-000000000002" id="00000002-0002-0002-0002-000000000002">
        <name>Default</name>
        <description>The default Data Center</description>
        <link href="/api/datacenters/00000002-0002-0002-0002-000000000002/storagedomains" rel="storagedomains"/>
        <link href="/api/datacenters/00000002-0002-0002-0002-000000000002/clusters" rel="clusters"/>
        <link href="/api/datacenters/00000002-0002-0002-0002-000000000002/networks" rel="networks"/>
        <link href="/api/datacenters/00000002-0002-0002-0002-000000000002/permissions" rel="permissions"/>
        <link href="/api/datacenters/00000002-0002-0002-0002-000000000002/quotas" rel="quotas"/>
        <local>false</local>
        <version major="3" minor="4"/>
        <supported_versions>
            <version major="3" minor="4"/>
        </supported_versions>
        <status>
            <state>uninitialized</state>
        </status>
    </data_center>
    <data_center href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c" id="c514757d-c7bc-4dde-88a3-71777979721c">
        <name>DefaultRest</name>
        <link href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/storagedomains" rel="storagedomains"/>
        <link href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/clusters" rel="clusters"/>
        <link href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/networks" rel="networks"/>
        <link href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/permissions" rel="permissions"/>
        <link href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/quotas" rel="quotas"/>
        <local>false</local>
        <storage_format>v3</storage_format>
        <version major="3" minor="4"/>
        <supported_versions>
            <version major="3" minor="4"/>
        </supported_versions>
        <status>
            <state>up</state>
        </status>
    </data_center>
    <data_center href="/api/datacenters/5184e722-9dba-4b7d-b2f3-ed0b525cb0bd" id="5184e722-9dba-4b7d-b2f3-ed0b525cb0bd">
        <name>RestDataCenterUpdated</name>
        <description>Data Center Description</description>
        <link href="/api/datacenters/5184e722-9dba-4b7d-b2f3-ed0b525cb0bd/storagedomains" rel="storagedomains"/>
        <link href="/api/datacenters/5184e722-9dba-4b7d-b2f3-ed0b525cb0bd/clusters" rel="clusters"/>
        <link href="/api/datacenters/5184e722-9dba-4b7d-b2f3-ed0b525cb0bd/networks" rel="networks"/>
        <link href="/api/datacenters/5184e722-9dba-4b7d-b2f3-ed0b525cb0bd/permissions" rel="permissions"/>
        <link href="/api/datacenters/5184e722-9dba-4b7d-b2f3-ed0b525cb0bd/quotas" rel="quotas"/>
        <local>false</local>
        <version major="3" minor="0"/>
        <supported_versions>
            <version major="3" minor="2"/>
            <version major="3" minor="1"/>
            <version major="3" minor="0"/>
            <version major="3" minor="4"/>
            <version major="3" minor="3"/>
        </supported_versions>
        <status>
            <state>uninitialized</state>
        </status>
    </data_center>
</data_centers>
 
2014-02-12 21:54:16,128 - MainThread - users - DEBUG - GET request content is --  url:https://jenkins-vm-24.scl.lab.tlv.redhat.com/api/users 
2014-02-12 21:54:16,185 - MainThread - users - DEBUG - Response code is valid: [200, 201] 
2014-02-12 21:54:16,186 - MainThread - users - DEBUG - Response body for GET request is: 
<users>
    <user href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc" id="fdfc627c-d875-11e0-90f0-83df133b58cc">
        <name>admin</name>
        <link href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc/permissions" rel="permissions"/>
        <link href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc/roles" rel="roles"/>
        <link href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc/tags" rel="tags"/>
        <domain href="/api/domains/696e7465-726e-616c-696e-7465726e616c" id="696e7465-726e-616c-696e-7465726e616c"/>
        <external_id>fdfc627cd87511e090f083df133b58cc</external_id>
        <user_name>admin</user_name>
    </user>
    <user href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726" id="e229adf6-aa35-4f42-80ae-1f7277fca726">
        <name>istein</name>
        <link href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726/permissions" rel="permissions"/>
        <link href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726/roles" rel="roles"/>
        <link href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726/tags" rel="tags"/>
        <domain href="/api/domains/71612e6c-6162-2e74-6c76-2e7265646861" id="71612e6c-6162-2e74-6c76-2e7265646861"/>
        <external_id>a24a972c876745eb8bcaa8c74932446f</external_id>
        <user_name>istein</user_name>
        <groups>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/RDP-Group</name>
            </group>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/LocalAdmins-Group</name>
            </group>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/QA-Members/QA_Gluster_users</name>
            </group>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/QA-MembersGroup</name>
            </group>
        </groups>
    </user>
    <user href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648" id="9b9002d1-ec33-4083-8a7b-31f6b8931648">
        <name>vdcadmin</name>
        <link href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648/permissions" rel="permissions"/>
        <link href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648/roles" rel="roles"/>
        <link href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648/tags" rel="tags"/>
        <domain href="/api/domains/71612e6c-6162-2e74-6c76-2e7265646861" id="71612e6c-6162-2e74-6c76-2e7265646861"/>
        <external_id>9b9002d1ec3340838a7b31f6b8931648</external_id>
        <user_name>vdcadmin@qa.lab.tlv.redhat.com</user_name>
    </user>
</users>
 
2014-02-12 21:54:16,188 - MainThread - roles - DEBUG - GET request content is --  url:https://jenkins-vm-24.scl.lab.tlv.redhat.com/api/roles 
2014-02-12 21:54:16,695 - MainThread - roles - DEBUG - Response code is valid: [200, 201] 
2014-02-12 21:54:16,697 - MainThread - roles - DEBUG - Response body for GET request is: 
<roles>
    <role href="/api/roles/00000000-0000-0000-0000-000000000001" id="00000000-0000-0000-0000-000000000001">
        <name>SuperUser</name>
        <description>Roles management administrator</description>
        <link href="/api/roles/00000000-0000-0000-0000-000000000001/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/00000000-0000-0000-0001-000000000001" id="00000000-0000-0000-0001-000000000001">
        <name>UserRole</name>
        <description>Standard User Role</description>
        <link href="/api/roles/00000000-0000-0000-0001-000000000001/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002">
        <name>PowerUserRole</name>
        <description>User Role, allowed to create VMs, Templates and Disks</description>
        <link href="/api/roles/00000000-0000-0000-0001-000000000002/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def00001-0000-0000-0000-def000000001" id="def00001-0000-0000-0000-def000000001">
        <name>ClusterAdmin</name>
        <description>Administrator Role, permission for all the objects underneath a specific Cluster</description>
        <link href="/api/roles/def00001-0000-0000-0000-def000000001/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00002-0000-0000-0000-def000000002" id="def00002-0000-0000-0000-def000000002">
        <name>DataCenterAdmin</name>
        <description>Administrator Role, permission for all the objects underneath a specific Data Center, except Storage</description>
        <link href="/api/roles/def00002-0000-0000-0000-def000000002/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00003-0000-0000-0000-def000000003" id="def00003-0000-0000-0000-def000000003">
        <name>StorageAdmin</name>
        <description>Administrator Role, permission for all operations on a specific Storage Domain</description>
        <link href="/api/roles/def00003-0000-0000-0000-def000000003/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00004-0000-0000-0000-def000000004" id="def00004-0000-0000-0000-def000000004">
        <name>HostAdmin</name>
        <description>Administrator Role, permission for all operations on a specific Host</description>
        <link href="/api/roles/def00004-0000-0000-0000-def000000004/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00005-0000-0000-0000-def000000005" id="def00005-0000-0000-0000-def000000005">
        <name>NetworkAdmin</name>
        <description>Administrator Role, permission for all operations on a specific Logical Network</description>
        <link href="/api/roles/def00005-0000-0000-0000-def000000005/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00006-0000-0000-0000-def000000006" id="def00006-0000-0000-0000-def000000006">
        <name>UserVmManager</name>
        <description>User Role, with permission for any operation on Vms</description>
        <link href="/api/roles/def00006-0000-0000-0000-def000000006/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def00007-0000-0000-0000-def000000007" id="def00007-0000-0000-0000-def000000007">
        <name>VmPoolAdmin</name>
        <description>Administrator Role, permission for all operations on a specific VM Pool</description>
        <link href="/api/roles/def00007-0000-0000-0000-def000000007/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00008-0000-0000-0000-def000000008" id="def00008-0000-0000-0000-def000000008">
        <name>TemplateAdmin</name>
        <description>Administrator Role, permission for all operations on a specific Template</description>
        <link href="/api/roles/def00008-0000-0000-0000-def000000008/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def0000a-0000-0000-0000-def00000000a" id="def0000a-0000-0000-0000-def00000000a">
        <name>QuotaConsumer</name>
        <description>User Role, permissions to consume the Quota resources</description>
        <link href="/api/roles/def0000a-0000-0000-0000-def00000000a/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000a-0000-0000-0000-def00000000b" id="def0000a-0000-0000-0000-def00000000b">
        <name>DiskOperator</name>
        <description>User Role, permissions for all operations on a specific disk</description>
        <link href="/api/roles/def0000a-0000-0000-0000-def00000000b/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000a-0000-0000-0000-def00000000c" id="def0000a-0000-0000-0000-def00000000c">
        <name>DiskCreator</name>
        <description>User Role, permission to create Disks</description>
        <link href="/api/roles/def0000a-0000-0000-0000-def00000000c/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000b-0000-0000-0000-def00000000b" id="def0000b-0000-0000-0000-def00000000b">
        <name>GlusterAdmin</name>
        <description>Administrator Role, permissions for operations on Gluster objects</description>
        <link href="/api/roles/def0000b-0000-0000-0000-def00000000b/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def0000a-0000-0000-0000-def00000000d" id="def0000a-0000-0000-0000-def00000000d">
        <name>VmCreator</name>
        <description>User Role, permission to create VMs</description>
        <link href="/api/roles/def0000a-0000-0000-0000-def00000000d/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000a-0000-0000-0000-def00000000e" id="def0000a-0000-0000-0000-def00000000e">
        <name>TemplateCreator</name>
        <description>User Role, permission to create Templates</description>
        <link href="/api/roles/def0000a-0000-0000-0000-def00000000e/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000a-0000-0000-0000-def00000000f" id="def0000a-0000-0000-0000-def00000000f">
        <name>TemplateOwner</name>
        <description>User Role, permissions for all operations on Templates</description>
        <link href="/api/roles/def0000a-0000-0000-0000-def00000000f/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000c-0000-0000-0000-def000000000" id="def0000c-0000-0000-0000-def000000000">
        <name>ExternalEventsCreator</name>
        <description>External Events Creator</description>
        <link href="/api/roles/def0000c-0000-0000-0000-def000000000/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000d-0000-0000-0000-def000000000" id="def0000d-0000-0000-0000-def000000000">
        <name>ExternalTasksCreator</name>
        <description>External Tasks Creator</description>
        <link href="/api/roles/def0000d-0000-0000-0000-def000000000/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000a-0000-0000-0000-def000000010" id="def0000a-0000-0000-0000-def000000010">
        <name>VnicProfileUser</name>
        <description>VM Network Interface Profile User</description>
        <link href="/api/roles/def0000a-0000-0000-0000-def000000010/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def00009-0000-0000-0000-def000000009" id="def00009-0000-0000-0000-def000000009">
        <name>UserTemplateBasedVm</name>
        <description>Template User</description>
        <link href="/api/roles/def00009-0000-0000-0000-def000000009/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def00011-0000-0000-0000-def000000011" id="def00011-0000-0000-0000-def000000011">
        <name>InstanceCreator</name>
        <description>User Role, permission to create Instances</description>
        <link href="/api/roles/def00011-0000-0000-0000-def000000011/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def00012-0000-0000-0000-def000000012" id="def00012-0000-0000-0000-def000000012">
        <name>UserInstanceManager</name>
        <description>User Role, with permission for any operation on Instances</description>
        <link href="/api/roles/def00012-0000-0000-0000-def000000012/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>false</administrative>
    </role>
    <role href="/api/roles/def0000c-0000-0000-0000-def00000000c" id="def0000c-0000-0000-0000-def00000000c">
        <name>ReadOnlyAdmin</name>
        <description>Read Only Administrator Role</description>
        <link href="/api/roles/def0000c-0000-0000-0000-def00000000c/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00011-0000-0000-0000-def000000013" id="def00011-0000-0000-0000-def000000013">
        <name>TagManager</name>
        <description>Tag Manager</description>
        <link href="/api/roles/def00011-0000-0000-0000-def000000013/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00011-0000-0000-0000-def000000014" id="def00011-0000-0000-0000-def000000014">
        <name>BookmarkManager</name>
        <description>Bookmark Manager</description>
        <link href="/api/roles/def00011-0000-0000-0000-def000000014/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <role href="/api/roles/def00011-0000-0000-0000-def000000015" id="def00011-0000-0000-0000-def000000015">
        <name>EventNotificationManager</name>
        <description>Event Notification Manager</description>
        <link href="/api/roles/def00011-0000-0000-0000-def000000015/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
</roles>
 
2014-02-12 21:54:16,702 - MainThread - permissions - DEBUG - GET request content is --  url:/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/permissions 
2014-02-12 21:54:17,222 - MainThread - permissions - DEBUG - Response code is valid: [200, 201] 
2014-02-12 21:54:17,223 - MainThread - permissions - DEBUG - Response body for GET request is: 
<permissions>
    <permission href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc/permissions/00000003-0003-0003-0003-000000000003" id="00000003-0003-0003-0003-000000000003">
        <role href="/api/roles/00000000-0000-0000-0000-000000000001" id="00000000-0000-0000-0000-000000000001"/>
        <user href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc" id="fdfc627c-d875-11e0-90f0-83df133b58cc"/>
        <data_center href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c" id="c514757d-c7bc-4dde-88a3-71777979721c"/>
    </permission>
    <permission href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc/permissions/00000006-0006-0006-0006-000000000006" id="00000006-0006-0006-0006-000000000006">
        <role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/>
        <user href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc" id="fdfc627c-d875-11e0-90f0-83df133b58cc"/>
        <data_center href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c" id="c514757d-c7bc-4dde-88a3-71777979721c"/>
    </permission>
    <permission href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648/permissions/97412c11-0c5c-4300-9e40-2babc9c841d3" id="97412c11-0c5c-4300-9e40-2babc9c841d3">
        <role href="/api/roles/00000000-0000-0000-0000-000000000001" id="00000000-0000-0000-0000-000000000001"/>
        <user href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648" id="9b9002d1-ec33-4083-8a7b-31f6b8931648"/>
        <data_center href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c" id="c514757d-c7bc-4dde-88a3-71777979721c"/>
    </permission>
</permissions>
 
2014-02-12 21:54:17,225 - MainThread - permissions - DEBUG - CREATE request content is --  url:/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/permissions body:<permission>
    <role href="/api/roles/def00008-0000-0000-0000-def000000008" id="def00008-0000-0000-0000-def000000008">
        <name>TemplateAdmin</name>
        <description>Administrator Role, permission for all operations on a specific Template</description>
        <link href="/api/roles/def00008-0000-0000-0000-def000000008/permits" rel="permits"/>
        <mutable>false</mutable>
        <administrative>true</administrative>
    </role>
    <user href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726" id="e229adf6-aa35-4f42-80ae-1f7277fca726">
        <name>istein</name>
        <link href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726/permissions" rel="permissions"/>
        <link href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726/roles" rel="roles"/>
        <link href="/api/users/e229adf6-aa35-4f42-80ae-1f7277fca726/tags" rel="tags"/>
        <domain href="/api/domains/71612e6c-6162-2e74-6c76-2e7265646861" id="71612e6c-6162-2e74-6c76-2e7265646861"/>
        <external_id>a24a972c876745eb8bcaa8c74932446f</external_id>
        <user_name>istein</user_name>
        <groups>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/RDP-Group</name>
            </group>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/LocalAdmins-Group</name>
            </group>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/QA-Members/QA_Gluster_users</name>
            </group>
            <group>
                <name>qa.lab.tlv.redhat.com/QA-All-Users/QA-MembersGroup</name>
            </group>
        </groups>
    </user>
</permission>
 
2014-02-12 21:54:18,018 - MainThread - core_api - DEBUG - Request POST response time: 0.050
2014-02-12 21:54:18,019 - MainThread - permissions - DEBUG - GET request content is --  url:/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c/permissions 
2014-02-12 21:54:18,075 - MainThread - permissions - DEBUG - Response code is valid: [200, 201] 
2014-02-12 21:54:18,076 - MainThread - permissions - DEBUG - Response body for GET request is: 
<permissions>
    <permission href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc/permissions/00000003-0003-0003-0003-000000000003" id="00000003-0003-0003-0003-000000000003">
        <role href="/api/roles/00000000-0000-0000-0000-000000000001" id="00000000-0000-0000-0000-000000000001"/>
        <user href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc" id="fdfc627c-d875-11e0-90f0-83df133b58cc"/>
        <data_center href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c" id="c514757d-c7bc-4dde-88a3-71777979721c"/>
    </permission>
    <permission href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc/permissions/00000006-0006-0006-0006-000000000006" id="00000006-0006-0006-0006-000000000006">
        <role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/>
        <user href="/api/users/fdfc627c-d875-11e0-90f0-83df133b58cc" id="fdfc627c-d875-11e0-90f0-83df133b58cc"/>
        <data_center href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c" id="c514757d-c7bc-4dde-88a3-71777979721c"/>
    </permission>
    <permission href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648/permissions/97412c11-0c5c-4300-9e40-2babc9c841d3" id="97412c11-0c5c-4300-9e40-2babc9c841d3">
        <role href="/api/roles/00000000-0000-0000-0000-000000000001" id="00000000-0000-0000-0000-000000000001"/>
        <user href="/api/users/9b9002d1-ec33-4083-8a7b-31f6b8931648" id="9b9002d1-ec33-4083-8a7b-31f6b8931648"/>
        <data_center href="/api/datacenters/c514757d-c7bc-4dde-88a3-71777979721c" id="c514757d-c7bc-4dde-88a3-71777979721c"/>
    </permission>
</permissions>
 
2014-02-12 21:54:18,077 - MainThread - permissions - DEBUG - Response body for CREATE request is: 
<fault>
    <reason>Operation Failed</reason>
    <detail>[Internal Engine Error]</detail>
</fault>
 
2014-02-12 21:54:18,078 - MainThread - permissions - ERROR - Response code is not valid, expected is: [200, 201, 202], actual is: 400 
2014-02-12 21:54:18,080 - MainThread - plmanagement.logstash - INFO - Logs for test case -> puma20.scl.lab.tlv.redhat.com/VDSM: http://logstash.qa.lab.tlv.redhat.com:9292/search?q=%40source_host%3A%22puma20.scl.lab.tlv.redhat.com%22%20AND%20%40source_path%3A%22/var/log/vdsm/vdsm.log%22%20AND%20%40timestamp%3A%5B2014-02-12T19%3A54%3A15%20TO%202014-02-12T19%3A54%3A18%5D

2014-02-12 21:54:18,080 - MainThread - plmanagement.logstash - INFO - Logs for test case -> jenkins-vm-24.scl.lab.tlv.redhat.com/BOOTSTRAP: http://logstash.qa.lab.tlv.redhat.com:9292/search?q=%40source_host%3A%22jenkins-vm-24.scl.lab.tlv.redhat.com%22%20AND%20%40source_path%3A%22/var/log/ovirt-engine/host-deploy/%2A%22%20AND%20%40timestamp%3A%5B2014-02-12T19%3A54%3A15%20TO%202014-02-12T19%3A54%3A18%5D

2014-02-12 21:54:18,081 - MainThread - plmanagement.logstash - INFO - Logs for test case -> jenkins-vm-24.scl.lab.tlv.redhat.com/ENGINE: http://logstash.qa.lab.tlv.redhat.com:9292/search?q=%40source_host%3A%22jenkins-vm-24.scl.lab.tlv.redhat.com%22%20AND%20%40source_path%3A%22/var/log/ovirt-engine/engine.log%22%20AND%20%40timestamp%3A%5B2014-02-12T19%3A54%3A15%20TO%202014-02-12T19%3A54%3A18%5D

2014-02-12 21:54:18,382 - MainThread - plmanagement.error_fetcher - ERROR - Errors fetched from VDC(jenkins-vm-24.scl.lab.tlv.redhat.com): 2014-02-12 21:54:17,819 ERROR [org.ovirt.engine.core.bll.AddPermissionCommand] (ajp--127.0.0.1-8702-7) [325] Command org.ovirt.engine.core.bll.AddPermissionCommand throw exception: java.lang.NullPointerException
	at org.ovirt.engine.core.dao.DbUserDAODbFacadeImpl.getByExternalId(DbUserDAODbFacadeImpl.java:85) [dal.jar:]
	at org.ovirt.engine.core.bll.AddPermissionCommand.executeCommand(AddPermissionCommand.java:94) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1123) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1208) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1884) [bll.jar:]
	at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:210) [utils.jar:]
	at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:149) [utils.jar:]
	at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:118) [utils.jar:]
	at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1228) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:351) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:413) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:392) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:350) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor132.invoke(Unknown Source) [:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.ovirt.engine.core.bll.interceptors.ThreadLocalSessionCleanerInterceptor.injectWebContextToThreadLocal(ThreadLocalSessionCleanerInterceptor.java:13) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor17.invoke(Unknown Source) [:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptorFactory$ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptorFactory.java:123) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:36) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53) [jboss-as-ejb3-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:211) [jboss-as-ejb3-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:363) [jboss-as-ejb3-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:194) [jboss-as-ejb3-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:165) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:173) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.1.Final.jar:1.1.1.Final]
	at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:72) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
	at org.ovirt.engine.core.common.interfaces.BackendLocal$$$view10.runAction(Unknown Source) [common.jar:]
	at org.ovirt.engine.api.restapi.resource.BackendResource.doAction(BackendResource.java:254)
	at org.ovirt.engine.api.restapi.resource.AbstractBackendCollectionResource.doCreateEntity(AbstractBackendCollectionResource.java:246)
	at org.ovirt.engine.api.restapi.resource.AbstractBackendCollectionResource.performCreate(AbstractBackendCollectionResource.java:119)
	at org.ovirt.engine.api.restapi.resource.AbstractBackendCollectionResource.performCreate(AbstractBackendCollectionResource.java:109)
	at org.ovirt.engine.api.restapi.resource.AbstractBackendCollectionResource.performCreate(AbstractBackendCollectionResource.java:128)
	at org.ovirt.engine.api.restapi.resource.BackendAssignedPermissionsResource.add(BackendAssignedPermissionsResource.java:104)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_51]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_51]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:155) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:257) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:222) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceLocator.invokeOnTargetObject(ResourceLocator.java:152) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceLocator.invoke(ResourceLocator.java:106) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceLocator.invokeOnTargetObject(ResourceLocator.java:147) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceLocator.invoke(ResourceLocator.java:91) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:525) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:502) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:119) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50) [resteasy-jaxrs-2.3.2.Final.jar:]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.0.Final.jar:1.0.0.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
	at org.ovirt.engine.core.authentication.AuthenticationFilter.doFilter(AuthenticationFilter.java:80) [common.jar:]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:280)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:275)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:161)
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:489)
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:153)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:155)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
	at org.jboss.web.rewrite.RewriteValve.invoke(RewriteValve.java:466)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:368)
	at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:505)
	at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:445)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:930)
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_51]

2014-02-12 21:54:17,971 ERROR [org.ovirt.engine.core.bll.AddPermissionCommand] (ajp--127.0.0.1-8702-7) [325] Transaction rolled-back for command: org.ovirt.engine.core.bll.AddPermissionCommand.
2014-02-12 21:54:17,993 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp--127.0.0.1-8702-7) [325] Correlation ID: 325, Call Stack: null, Custom Event ID: -1, Message: User vdcadmin@qa.lab.tlv.redhat.com failed to grant permission for Role TemplateAdmin on Data Center DefaultRest to User/Group istein.
2014-02-12 21:54:17,999 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp--127.0.0.1-8702-7) Operation Failed: [Internal Engine Error]

2014-02-12 21:54:18,480 - MainThread - test_runner - ERROR - Test Case failed: There is no Exception.Test returned False.
2014-02-12 21:54:18,481 - MainThread - plmanagement.matrix-test-composer - ERROR - Status: Fail

Comment 1 Ilia Meerovich 2014-02-13 11:45:29 UTC
engine version:
ovirt-engine-3.4.0-0.7.beta2.el6.noarch

Comment 2 Ilia Meerovich 2014-02-13 11:47:58 UTC
add host/VM/storage/template/clusters permissions causes to the same result

Comment 3 Ilia Meerovich 2014-02-17 08:26:00 UTC
raising severity to urgent since it is tier 0 bug

Comment 4 Sandro Bonazzola 2014-02-24 08:19:40 UTC
This bug is blocking 3.4.0 final release. ETA for fixing it?

Comment 5 Juan Hernández 2014-02-24 13:45:13 UTC
*** Bug 1069158 has been marked as a duplicate of this bug. ***

Comment 6 Eyal Edri 2014-02-26 10:28:23 UTC
moving back to POST, since patch isnt merged yet ot stable 3.4 branch.

Comment 7 Sandro Bonazzola 2014-03-03 14:40:49 UTC
This BZ should be fixed in oVirt 3.4.0 RC

Comment 8 Ilia Meerovich 2014-03-04 15:17:55 UTC
verified with downstream build rhevm-3.4.0-0.3

Comment 9 Sandro Bonazzola 2014-03-31 12:30:27 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.